autofs-5.0.9 - fix mistake in assignment

From: Ian Kent <ikent@redhat.com>

Fix an obvious mistake in an accumulation assignment.
---
 CHANGELOG    |    4 ++++
 lib/mounts.c |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 1fb42ff..cb63e22 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -1,3 +1,7 @@
+??/??/2014 autofs-5.0.10
+========================
+- fix mistake in assignment.
+
 28/03/2014 autofs-5.0.9
 =======================
 - fix undefined authtype_requires_creds err if ldap enabled but without sasl.
diff --git a/lib/mounts.c b/lib/mounts.c
index 0caaeda..868dcb1 100644
--- a/lib/mounts.c
+++ b/lib/mounts.c
@@ -1932,7 +1932,7 @@ int clean_stale_multi_triggers(struct autofs_point *ap,
 		/* Check for and umount stale subtree offsets */
 		oe_base = oe->key + strlen(root);
 		ret = clean_stale_multi_triggers(ap, oe, root, oe_base);
-		left =+ ret;
+		left += ret;
 		if (ret)
 			continue;
 
@@ -1977,7 +1977,7 @@ int clean_stale_multi_triggers(struct autofs_point *ap,
 		key = strdup(oe->key);
 		if (!key) {
 	                char *estr = strerror_r(errno, buf, MAX_ERR_BUF);
-        	        error(ap->logopt, "malloc: %s", estr);
+		        error(ap->logopt, "malloc: %s", estr);
 			left++;
 			continue;
 		}
